/*
 * ===========================
 * VDK Visual Development Kit
 * Version 0.4
 * October 1998
 * ===========================
 *
 * Copyright (C) 1998, Mario Motta
 * Developed by Mario Motta <mmotta@guest.net>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 */

#ifndef PANEDFORM_H
#define PANEDFORM_H
#include <vdk/forms.h>

class VDKPanedForm: public VDKForm
{
  VDKObject* panedWindow;
public:
  VDKPanedForm(VDKApplication* app,
	       gchar* title = NULL, 
	       int mode = v_box,
	       GtkWindowType display = GTK_WINDOW_TOPLEVEL);
  
  VDKPanedForm(VDKForm* owner,
	       gchar* title = NULL, 
	       int mode = v_box,
	       GtkWindowType display = GTK_WINDOW_TOPLEVEL);
  void Add(VDKObject* obj, int pane = 1,int = 0,int = 0);
  virtual ~VDKPanedForm() {}
  // placeholders
  virtual void OnExpose( VDKForm*, GdkRectangle) {}
  virtual void OnChildClosing(VDKForm*) {}
  virtual void OnShow(VDKForm*) {}
  virtual void OnRealize(VDKForm*) {} 
};

#endif
